Package org.apache.catalina.tribes.group.interceptors

## Class TwoPhaseCommitInterceptor.MapEntry

- java.lang.Object
- - org.apache.catalina.tribes.group.interceptors.TwoPhaseCommitInterceptor.MapEntry

Enclosing class:
  TwoPhaseCommitInterceptor

    public static class TwoPhaseCommitInterceptor.MapEntry
    extends java.lang.Object

### Field Summary

Fields
`UniqueId` `id`
`ChannelMessage` `msg`
`long` `timestamp`

### Constructor Summary

Constructors
`MapEntry​(ChannelMessage msg, UniqueId id, long timestamp)`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `expired​(long now, long expiration)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### msg

    public final ChannelMessage msg

#### id

    public final UniqueId id

#### timestamp

    public final long timestamp

### Constructor Detail

#### MapEntry

    public MapEntry​(ChannelMessage msg,
                    UniqueId id,
                    long timestamp)

### Method Detail

#### expired

    public boolean expired​(long now,
                           long expiration)